cURL
curl --request GET \ --url https://api.example.com/user/classes \ --header 'Authorization: Bearer <token>'
{ "items": [ { "enrollment_id": 123, "class_id": 123, "class_title": "<string>", "enrollment_status": "active", "enrolled_at": "2023-11-07T05:31:56Z", "primary_model_id": 123, "allowed_model_ids": [], "course_title": "<string>", "org_name": "<string>", "teacher_name": "<string>", "class_start_at": "2023-11-07T05:31:56Z", "class_end_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "last_activity_at": "2023-11-07T05:31:56Z" } ], "total": 123, "page": 123, "size": 123 }
현재 로그인한 유저 기준 ‘내 강의’ 리스트.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
수강 상태 필터 (예: active | completed | inactive | dropped)
active
inactive
completed
dropped
1 <= x <= 100
x >= 0
Successful Response
Show child attributes